<?php
namespace Modules\Admin\Config\CurrencyTypes;

class View_Utils_FormFilters extends \App\Mvc\View_Utils_FormAbstract
{

	/**
	 * Creates the form for filters
	 * @see \App\Mvc\View_Utils_FormAbstract::getForm()
	 */
	public function getForm()
	{
		$fieldsValues = $this->values['listingParams']->getFilters();

		$form=\Engine\Form\Filters::create();
		$form->setColumns(2);

		// currency exchange type name filter
		$nameFld=new \Engine\Form\Input\Text($this->lang['index']['filters']['name'], 'filters[name]', $fieldsValues['name']);
		$form->addElement($nameFld);

		// currency exchange type code filter
		$codeFld=new \Engine\Form\Input\Text($this->lang['index']['filters']['code'], 'filters[code]', $fieldsValues['code']);
		$form->addElement($codeFld);

		$form->setJsCallback('MVC.listing.installedHandlers["listing"].reloadAndResetListing');
		$form->loadMissingDefaultValues($this->values['listingParams']->getDefaultFilters());
		return $form;
	}

}